Package: org.apache.groovy.contracts.domain

## [Java] Class AssertionMap<T extends Assertion<T>>

- org.apache.groovy.contracts.domain.AssertionMap

- All Implemented Interfaces and Traits:
    Iterable

      public class AssertionMap<T extends Assertion<T>>
      extends Object
      implements Iterable

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AssertionMap()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `and(MethodNode methodNode, T assertion)`
    `` | `public boolean` | `contains(MethodNode methodNode)`
    `` | `public T` | `get(MethodNode methodNode)`
    `` | `public Iterator<Map.Entry<MethodNode, T>>` | `iterator()`
    `` | `public void` | `join(MethodNode methodNode, T assertion)`
    `` | `public void` | `or(MethodNode methodNode, T assertion)`
    `` | `public int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public AssertionMap()

  - ### Method Detail

    - #### public void and(MethodNode methodNode, T assertion)

    - #### public boolean contains(MethodNode methodNode)

    - #### public T get(MethodNode methodNode)

    - #### @Override
      public Iterator<Map.Entry<MethodNode, T>> iterator()

    - #### public void join(MethodNode methodNode, T assertion)

    - #### public void or(MethodNode methodNode, T assertion)

    - #### public int size()